
Redmine - Feature #3301

Add favicon to base layout

2009-05-06 14:12 - Marek Hulan

Status: Closed Start date: 2009-05-06

Priority: Low Due date:  

Assignee: Eric Davis % Done: 100%

Category: UI Estimated time: 0.00 hour

Target version: 1.0.1   

Resolution: Fixed   

Description

In <head> tag should be added a line

<link rel="shortcut icon" href="/favicon.ico" />

that will cause a favicon.ico stored in /public will be used.

Associated revisions

Revision 3894 - 2010-07-29 16:58 - Eric Davis

Add a favicon link with support for suburi. #3301

Contributed by Yuki Kita and Christian Boenning

Revision 3899 - 2010-07-30 21:18 - Eric Davis

Use image_path for the favicon instead to pick up asset hosts. #3301

History

#1 - 2009-05-12 18:57 - Jean-Philippe Lang

favicon.ico found in public is added so that browsers do not get 404 errors.

But it's just a blank icon so I see no reason to add this tag, until we have a official Redmine logo.

#2 - 2009-05-12 18:58 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

Also, this tag won't work if the application is installed in a sub-URI.

#3 - 2009-05-13 01:30 - Eric Davis

- Status changed from Closed to Reopened

- Assignee set to Eric Davis

- Priority changed from Normal to Low

- Estimated time deleted (0.01 h)

- Resolution deleted (Wont fix)

Jean-Philippe Lang wrote:

Also, this tag won't work if the application is installed in a sub-URI.

 I think we could still link to a favicon in a sub-URI.  Some browsers won't pick it up but most will.  If I can't get it to work, then I'll re-close this ticket.

#4 - 2009-05-31 01:47 - Eric Davis

- Tracker changed from Defect to Feature
#5 - 2009-06-12 00:54 - James Robertson

+1 vote - A favicon would help me to quickly identify Redmine in my (extensive) bookmarks :-)

Agree that Redmine need a favicon/logo first though. I could ask our design to come up one if you like.

#6 - 2009-07-10 04:45 - Eric Davis

James Robertson wrote:

Agree that Redmine need a favicon/logo first though. I could ask our design to come up one if you like.

 James Robertson, there is a thread about the Redmine logo as well as a beta version that I packaged up for the community.  I'd appreciate your help

to clean it up and do any revisions you see fit.

http://www.redmine.org/boards/1/topics/1183

#7 - 2009-07-10 06:13 - James Robertson

Hi Eric. I've mentioned this to our designer, Kelly, but it looks like your fairly far through the process already. Good work.

#8 - 2009-07-10 06:28 - Eric Davis

All I did was create the git repo and package it up.  Martin Herr is the designer.

#9 - 2009-09-02 11:46 - Stas SUSHKOV

Still, I can't see why redMine should not have the tag in <head>.

It would be much easier to replace the "dummy" favicon with a new one instead of searching where in the source code the tag is missing and update

it.

I would add the tag to exist, even if the favicon file is a 1px file.

Thank you.

#10 - 2009-12-20 14:09 - Alexey Palazhchenko

+1 from me.

Also it will be neat to allow specify icon in custom theme via some ruby code or template.

#11 - 2010-03-15 00:30 - Nickolay Mischenko

I've take an quick patch for this feature:

in app/views/layouts/base.rhtml, insert after <head>:

<link rel="shortcut icon" href="/favicon.ico" />

and restart redmine

#12 - 2010-04-20 16:45 - Yuki Kita

+1

I made a tiny plugin to add favicon.ico

With the plugin, the icon of the official logo is displayed on the address bar.

http://github.com/YukiKita/redmine_favicon

#13 - 2010-07-19 23:09 - Holger Just

Redmine includes a default favicon since r3845.

So you can either include the fixed link in the base layout, or (better) allow themes to overwrite it. This can be achieved by using my Favicon plugin.

#14 - 2010-07-29 16:59 - Eric Davis

- Status changed from Reopened to Resolved

- Target version set to 1.0.1

- % Done changed from 0 to 100

- Resolution set to Fixed

I've updated Redmine's favicon to support suburis now (r3894).

Holger and Yuki Kita: the icon link is generated by ApplicationHelper#favicon so your plugins can now override that method if you want to change the
path.

#15 - 2010-07-29 17:01 - Eric Davis

- Status changed from Resolved to Closed

Merged to 1.0-stable

#16 - 2010-12-06 20:12 - Kris Lou

Line 866 in application_helper.rb now reads (v1.0.4):

def favicon

  "<link rel='shortcut icon' href='#{image_path('/favicon.ico')}' />" 

end

 instead of (r3894)

def favicon

  "<link rel='shortcut icon' href='#{Redmine::Utils.relative_url_root}/favicon.ico' />" 

end

 Shows favicon.ico if listed under public/images directory, but currently not showing in default theme?  I don't know how this would affect themes.

Powered by TCPDF (www.tcpdf.org)

2025-07-11 3/3

https://www.redmine.org/projects/redmine/repository/svn/revisions/3894
http://www.tcpdf.org

